
struct ItemId {

    let itemId: String

    let language: ContentLanguage

    let itemType: ItemType
}

extension ItemId: Equatable {

    static func == (lhs: ItemId, rhs: ItemId) -> Bool {
        lhs.itemId == rhs.itemId && lhs.language == rhs.language && lhs.itemType == rhs.itemType
    }
}

extension ItemId: Hashable {

    func hash(into hasher: inout Hasher) {
        hasher.combine(itemId)
        hasher.combine(language)
        hasher.combine(itemType)
    }
}

extension ItemId: Comparable {
    
    static func < (lhs: ItemId, rhs: ItemId) -> Bool {
        guard lhs.itemType == rhs.itemType else {
            return lhs.itemType < rhs.itemType
        }
        guard lhs.itemId == rhs.itemId else {
            return lhs.itemId < rhs.itemId
        }
        return lhs.language < rhs.language
    }
}
