
enum ItemType: String, Codable {

    case post

    case tag

    case page

    case tagOverview

    case file
}

extension ItemType: Equatable {

}

extension ItemType: Hashable {

}

extension ItemType: Identifiable {

    var id: String {
        rawValue
    }
}

extension ItemType: Comparable {

    static func < (lhs: ItemType, rhs: ItemType) -> Bool {
        lhs.rawValue < rhs.rawValue
    }
}
