import Foundation

final class LocalizedPostSettings: ObservableObject {

    @Published
    var title: String

    @Published
    var description: String

    @Published
    var feedUrlPrefix: String

    init(title: String, description: String, feedUrlPrefix: String) {
        self.title = title
        self.description = description
        self.feedUrlPrefix = feedUrlPrefix
    }

    init(file: LocalizedPostSettingsFile) {
        self.title = file.feedTitle
        self.description = file.feedDescription
        self.feedUrlPrefix = file.feedUrlPrefix
    }
}
