import Foundation
import AppKit

enum ImageFileType: String {
    
    case jpg
    case png
    case avif
    case webp
    case gif
    case svg
    case tiff

    init?(fileExtension: String) {
        if fileExtension == "jpeg" {
            self = .jpg
            return
        }
        self.init(rawValue: fileExtension)
    }

    var fileExtension: String {
        rawValue
    }

    var fileType: NSBitmapImageRep.FileType? {
        switch self {
        case .jpg:
            return .jpeg
        case .png, .avif, .webp:
            return .png
        case .gif: return .gif
        case .tiff: return .tiff
        case .svg: return nil
        }
    }
}

extension ImageFileType: CaseIterable {

}
