
enum ResourceFileType {

    case noExtension

    case zip

    case cddx

    case mp3

    case pdf

    case key

    case psd

    case other(String)

    init(fileExtension: String) {
        switch fileExtension {
        case "": self = .noExtension
        case "zip": self = .zip
        case "cddx": self = .cddx
        case "mp3": self = .mp3
        case "pdf": self = .pdf
        case "key": self = .key
        case "psd": self = .psd
        default:
            self = .other(fileExtension)
        }
    }

    var fileExtension: String {
        switch self {
        case .noExtension:
            return ""
        case .zip:
            return "zip"
        case .cddx:
            return "cddx"
        case .mp3:
            return "mp3"
        case .pdf:
            return "pdf"
        case .key:
            return "key"
        case .psd:
            return "psd"
        case .other(let ext):
            return ext
        }
    }
}
