
enum VideoFileType: String {

    case mp4

    case m4v

    case webm

    init?(fileExtension: String) {
        self.init(rawValue: fileExtension)
    }

    var fileExtension: String {
        rawValue
    }

    var htmlType: String {
        switch self {
        case .mp4, .m4v:
            return "video/mp4"
        case .webm:
            return "video/webm"
        }
    }
}

extension VideoFileType: CaseIterable {

}
