import Foundation

struct NavigationItemReference: Codable {

    let type: ItemType

    let id: String
}

struct SettingsFile {

    let paths: PathSettingsFile

    /// The tags to show in the navigation bar
    let navigationItems: [NavigationItemReference]

    let posts: PostSettingsFile

    let pages: PageSettingsFile

    let german: LocalizedPostSettingsFile

    let english: LocalizedPostSettingsFile
}

extension SettingsFile: Codable { }

extension SettingsFile {

    static var `default`: SettingsFile {
        .init(
            paths: .default,
            navigationItems: [],
            posts: .default,
            pages: .default,
            german: .default,
            english: .default
        )
    }
}
