import SwiftUI

struct GenericPropertyView<Content>: View where Content: View {

    let title: LocalizedStringKey

    let footer: LocalizedStringKey

    let content: Content

    public init(title: LocalizedStringKey, footer: LocalizedStringKey, @ViewBuilder content: () -> Content) {
        self.title = title
        self.footer = footer
        self.content = content()
    }

    var body: some View {
        VStack(alignment: .leading) {
            Text(title)
                .font(.headline)
            content
            Text(footer)
                .foregroundStyle(.secondary)
                .padding(.bottom)
        }
    }
}
