import SwiftUI

struct GenerationDetailView: View {

    let section: SettingsSection

    var body: some View {
        switch section {
        case .folders:
            PathSettingsView()
        case .navigationBar:
            NavigationBarSettingsView()
        case .postFeed:
            PostFeedSettingsView()
        case .pages:
            PageSettingsDetailView()
        case .tagOverview:
            TagOverviewDetailView()
        }
    }
}

#Preview {
    GenerationDetailView(section: .folders)
}
