import SFSafeSymbols

enum SettingsSection: String {

    //case generation = "Generation"

    case folders = "Folders"

    case navigationBar = "Navigation Bar"

    case postFeed = "Post Feed"

    case pages = "Pages"

    case tagOverview = "Tag Overview"

}

extension SettingsSection {

    var icon: SFSymbol {
        switch self {
        case .folders: return .folder
        case .navigationBar: return .menubarRectangle
        case .postFeed: return .rectangleGrid1x2
        case .pages: return .docRichtext
        case .tagOverview: return .tag
        }
    }
}

extension SettingsSection: CaseIterable {

}

extension SettingsSection: Identifiable {

    var id: String { rawValue }
}
